SoBlinker(3IV)

NAME
SoBlinker — animated cycling switch node

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoGroup > SoSwitch > SoBlinker

SYNOPSIS
#include <Inventor/nodes/SoBlinker.h>

Fields from class SoBlinker:

SoSFFloat
speed
SoSFBool
on

Fields from class SoSwitch:

SoSFInt32
whichChild

Methods from class SoBlinker:

SoBlinker()
static SoType
getClassTypeId()

Methods from class SoGroup:

void
addChild(SoNode *child)
void
insertChild(SoNode *child, int newChildIndex)
SoNode *
getChild(int index) const
int
findChild(const SoNode *child) const
int
getNumChildren() const
void
removeChild(int index)
void
removeChild(SoNode *child)
void
removeAllChildren()
void
replaceChild(int index, SoNode *newChild)
void
replaceChild(SoNode *oldChild, SoNode *newChild)

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
The SoBlinker class is derived from SoSwitch, so it selects one of its children to traverse. Using engines connected to the realTime global field, the whichChild field is animated over time. If the node has only one child, whichChild toggles between SO_SWITCH_NONE and 0, causing the child to be switched on and off repeatedly. If the node has more than one child, they are cycled through continuously.

FIELDS
SoSFFloat
speed
Defines the speed of the blinker, in cycles per second.

SoSFBool
on
Allows applications to enable or disable the blinking easily.

METHODS

SoBlinker()
Creates a blinker node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction, SoGetBoundingBoxAction, SoGetMatrixAction, SoHandleEventAction, SoRayPickAction, SoSearchAction
Same as for SoSwitch.

FILE FORMAT/DEFAULTS
Blinker {
whichChild	-1
speed	1
on	TRUE
}